Productsup

Create connector on platform based on version configuration

If the connector already exists on the platform, it will be updated based on the configuration. This action will: * create/update the executable entity on the platform with its related options and version, * Update the datasource form to match the configuration (or create it)

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/versions/{connectorVersion}/sync-platform/dev

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/sync-platform/dev"
{
  "message": "Connector will be synchronized with the platform in the background.",
  "data": {
    "state": {
      "uuid": "26b850d3-b0b5-4d59-934c-0a2f0a012137"
    }
  }
}
{
  "message": "Transition is not allowed, entity is synchronized-to-dev.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}